dtcm_lookup(1)

NAME
dtcm_lookup - look up appointments from the calendar database

SYNOPSIS
dtcm_lookup [-c calendar] [-d date] [-v view]

DESCRIPTION
The dtcm_lookup utility is a non-GUI interface to the CDE calendar and appointment services, used to look up appointments from the calendar database via the RPC daemon rpc.cmsd(1). Each component of the calendar entry is specified using one of the command-line options. The current list of appointments for the specified date (see the -d and -v options) is displayed.

OPTIONS
The following options are available:

    Specify the name of the target calendar. Calendar names typically take the form user@ hostname, where user is a user's login name and hostname is the host machine name. An example is felix@cat. If no target calendar is specified, the calendar defaults to the current user at the current host machine.
    Specify the date for the look up query. The date is specified using the form mm/ dd/ yy, where mm, dd and yy are the two-digit month, day and year modulo 100, respectively. Certain other references such as ``today,'' ``Tuesday,'' ``tomorrow,'' etc. are correctly calculated. If no date is specified, date defaults to today's date.
    Specify the view span of appointments to display. The view option-argument can be:

        Display all appointments for the given date (see -d option). Display the full week that contains the given date, starting with Sunday. Display the entire month that contains the given date.

    If the view option-argument is not specified, the viewing range defaults to the view range specified by the user's dtcm options sheet. If the user has not specified a range in his or her options sheet, it defaults to the day value.

OPERANDS
None.

STDIN
Not used.

INPUT FILES
None.

ENVIRONMENT VARIABLES
The following environment variables affect the execution of dtcm_lookup:

    Provide a default value for the internationalization variables that are unset or null. If LANG is unset or null, the corresponding value from the implementation-specific default locale will be used. If any of the internationalization variables contains an invalid setting, the utility behaves as if none of the variables had been defined. If set to a non-empty string value, override the values of all the other internationalization variables. Determine the locale that is used to affect the format and contents of diagnostic messages written to standard error and informative messages written to standard output. Determine the location of message catalogues for the processing of LC_MESSAGES.

RESOURCES
None.

ASYNCHRONOUS EVENTS
The dtcm_lookup utility takes the standard action for all signals.

STDOUT
The standard output contains the list of appointments for the specified view span.

STDERR
Used only for diagnostic messages.

OUTPUT FILES
None.

EXTENDED DESCRIPTION
None.

EXIT STATUS
The following exit values are returned:

    Successful completion. An error occurred.

CONSEQUENCES OF ERRORS
Default.

FILES

/usr/spool/calendar/callog.username

/usr/dt/bin/rpc.cmsd

APPLICATION USAGE
None.

EXAMPLES
The simplest form of dtcm_lookup has no arguments:

    dtcm_lookup
    Appointments for Tuesday March 29, 1994:
            1) Appointment
            2) 10:30am-10:45am Morning Tea
            3) 2:00pm-3:00pm Staff meeting
            4) 4:30pm-5:00pm Phone home

To look up entries for a specific date:

    dtcm_lookup -d 03/29/94
    Appointments for Wednesday March 30, 1994:
            1) 11:00am-12:00pm Appointment
            2) 11:30am-12:30pm Group Lunch
            3) 4:00pm-5:00pm Tech Interview

To look up entries from a specific target calendar:

    dtcm_lookup -c felix@cat
    Appointments for Tuesday March 29, 1994:
            1) Appointment
            2) 10:15am-10:30am Coffee
            3) 11:15am-11:30am Doughnuts
            4) 2:00pm-2:15pm Coffee
            5) 3:30pm-3:45pm Snack
            6) 4:30pm-4:45pm Coffee

To look up an entire week's appointments:

    dtcm_lookup -v week
    Appointments for Sunday March 27, 1994:
            1) 6:00am-5:00pm Hiking

    Appointments for Monday March 28, 1994:
            2) 11:00am-11:30am Sync with East Coast
            3) 4:00pm-4:15pm Confirm flight

    Appointments for Tuesday March 29, 1994:
            4) Appointment
            5) 10:15am-10:30am Coffee
            6) 11:15am-11:30am Doughnuts
            7) 2:00pm-2:15pm Coffee
            8) 3:30pm-3:45pm Snack
            9) 4:30pm-4:45pm Coffee

    Appointments for Wednesday March 30, 1994:
           10) 11:00am-11:15am Appointment
           11) 11:30am-12:30pm Group Lunch
           12) 4:00pm-5:00pm Tech Interview

    Appointments for Friday April 1, 1994:
           13) Documentation
           14) 10:00am-11:00am Staff meeting

    Appointments for Saturday April 2, 1994:
           15) 9:00am-11:00am Raquetball with Debbie

Notice that Thursday does not appear, since there were no appointments on that day.

SEE ALSO
rpc.cmsd(1), dtcm(1), dtcm_editor(1), dtcm_insert(1), dtcm_delete(1).